vim.loader.enable()
local lazypath = vim.fn.stdpath 'data' .. '/lazy/lazy.nvim'
if not vim.loop.fs_stat(lazypath) then
	vim.fn.system {
		'git',
		'clone',
		'--filter=blob:none',
		'--single-branch',
		'https://github.com/folke/lazy.nvim.git',
		lazypath,
	}
end

vim.opt.runtimepath:prepend(lazypath)

vim.api.nvim_create_autocmd('User', {
	pattern = 'LazyVimStarted',
	callback = function()
		vim.cmd 'colorscheme neogruber'
		require 'feline'
		require 'config.mappings'
		require 'config.autocmd'
		require 'nvim-treesitter'
		require 'dressing'
		require 'NeoSwap'
		require 'nvim-peekup'
	end,
})

require 'config.settings'
require 'config.lazy'
